Subject: Re: [virtio-dev] [PATCH v3] Add virtio SCMI device specification

From: Alex Bennée <[email-masked]>
Date: Fri, 27 Mar 2020 14:43:37 +0000

Alex Bennée <[email-masked]> writes:

> Peter Hilber <[email-masked]> writes:
>
>> This patch proposes a new virtio device for the Arm SCMI protocol.
>>
>> The device provides a simple transport for the Arm SCMI protocol[1]. The
>> *S*ystem *C*ontrol and *M*anagement *I*nterface protocol allows speaking
>> to system controllers that allow orchestrating things like power
>> management, system state management and sensor access. The SCMI protocol
>> is used on SoCs where multiple cores and co-processors need access to
>> these resources.
>>
> <snip>
>>
>> OpenSynergy has a prototype implementation (without device specific
>> features so far), and plans to upstream the Linux kernel driver.
>
> Has a RFC of the kernel driver been posted yet? I'm curious on how it
> Linux backend integrates with other devices.
>
>>
>> The PDF output is available at [2].
>>
>> [2]
>> https://share.mailbox.org/ajax/share/056076e70571144f50c4ca7571144b319a1d7236dda1cd3b/1/8/MzQ/MzQvMQ
>
> This PDF seems to include a fair number of extra devices - including an
> RPMB device I'm quite interested in. Is this because you are building
> from a tree with a bunch of rolled up updates?

I obviously failed to appropriately grep the existing spec closely
enough :-/

> /me wonders off to look at the make tooling in the upstream repo to see
> if things can be tweaked a bit.

I went ahead and suggested some tweaks anyway.

-- 
Alex Bennée

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel